import React, {
  useState,
  useCallback,
  useEffect
} from 'react';
import { useData } from './useData';
import { VizWrapper } from './VizWrapper';
import {csv} from 'd3';
import {message} from './message';


export const App = () => {
  const [data, setData] = useState(null);
  
  
  useEffect(() => {
    // with d3.csv
  d3.csv(csvUrl).then(setData);
  },[]);

  const csvUrl =
    'https://gist.githubusercontent.com/fullstacc/3f0b9cf691d27d7c3c20b582e6a4c84a/raw/05b1764df9916aec2e7f5bc03fcbd1e08e76661a/eurovision.csv';


  
  
  return (<div> Data is : {data ? message(data) : 'not loaded'}</div>);
};
